#
# spec file for package perl-YAML-LibYAML
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-YAML-LibYAML
Version:        0.59
Release:        27.1
%define cpan_name YAML-LibYAML
Summary:        Perl YAML Serialization using XS and libyaml
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/YAML-LibYAML/
Source:         http://www.cpan.org/authors/id/I/IN/INGY/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Patch0:         %{name}-no-plan.patch
%{perl_requires}

%description
Perl YAML Serialization using XS and libyaml

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

# This patch is only necessary for systems without Test::More >= 0.87_01
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%patch0 -p1
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Mar 23 2015 bjh21@cam.ac.uk
- Added perl-YAML-LibYAML-no-plan.patch, which lets the package build
  on SLES 11.
* Tue Feb 10 2015 vcizek@suse.com
- update to 0.59
- this update fixes 3 vulnerabilities in the embedded LibYAML:
  * CVE-2014-9130: libyaml: assert failure when processing
    wrapped strings (bnc#907809)
  * CVE-2014-2525: libyaml: heap overflow during parsing (bnc#868944)
  * CVE-2013-6393: libyaml: heap based buffer, overflow due to
    integer misuse (bnc#860617)
- dropped CVE-2012-1152-YAML-LibYAML-0.35-format-error.patch (upstream)
- upstream changelog:
  * PR/23 Better scalar dump heuristics
  * More closely match YAML.pm
  * Add a VERSION statement to YAML::LibYAML (issue#8)
  * Applied fix for PR/21. nawglan++
  * Use Swim cpan-tail block functions in doc
  * Get YAML::XS using latest libyaml
  * Fix for
    https://bitbucket.org/xi/libyaml/issue/10/wrapped-strings-cause-assert-failure
  * Fix e1 test failure on 5.21.4
  * Remove =travis section
  * Meta 0.0.2
  * Eliminate spurious trailing whitespace
  * Add t/000-compile-modules.t
  * Fix swim errors
  * Add badges to doc
  * Fix ReadMe
  * Fix Meta and add Contributing.
* Mon Jul 28 2014 coolo@suse.com
- updated to 0.44
  - Doc fix. GitHub-Issue-#6. Thanks to Debian Perl Group for finding this.
  0.43 Sat Jul 12 10:04:07 PDT 2014
  - Test::Base tests needed 'inc' in @INC
  0.42 Fri Jul 11 14:45:58 PDT 2014
  - Switch to Zilla::Dist
  - No longer dep on Test::Base, Spiffy, and Filter::Util::Call
  - Remove test/changes.t
  0.41 Wed Mar 13 10:34:55 PDT 2013
  - Removed another C++ // style comment. jdb++
  0.40 Tue Mar 12 11:05:34 PDT 2013
  - Removed C++ // style comments, for better portability. jdb++
  0.39 Mon Feb 11 18:08:04 PST 2013
  - Using the latest libyaml codebase
  - https://github.com/yaml/libyaml/tree/perl-yaml-xs
  - Changes have been made to start moving libyaml to 1.2
* Wed May 30 2012 coolo@suse.com
- updated to 0.38
  - Apply SPROUT++ deparse test patch. Thanks!
* Wed Apr 25 2012 pascal.bleser@opensuse.org
- CVE-2012-1152: added patch to fix multiple format string flaws:
  A remote attacker could provide a specially-crafted YAML document, which once
  processed by the perl-YAML-LibYAML interface would lead to perl-YAML-LibYAML
  based process crash. bnc#751503
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- update to 0.37:
  * fix the bug that accidentally released YAML-XS instead of YAML-LibYAML
- changes from 0.36:
  * switch to Module::Package
  * fix LoadFile on empty file failure
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.35
  - Apply bdfoy patch from rt-46172
  - Update ppport.h to fix rt-64749 & rt-62054
  - Add ANDK's regexp.t patch from rt-62266
  - These changes from chansen++
  - Handle misbehaved tied hashes
  - Handle 'get' magic
  - Added support for tied arrays and hashes
  - Don't turn on the UTF-8 flag for strings containing US-ASCII (0x00-0x7F)
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun 14 2010 pascal.bleser@opensuse.org
- initial package (0.33)
